Bug 602966 - gethostbyname2 queried with AF_INET6 (IPv6) return ok with IPv4 address
gethostbyname2 queried with AF_INET6 (IPv6) return ok with IPv4 address
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap (Show other bugs)
4.8
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Nalin Dahyabhai
Ondrej Moriš
: ZStream
Depends On: 205243
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 02:56 EDT by RHEL Product and Program Management
Modified: 2011-01-05 01:31 EST (History)
14 users (show)

See Also:
Fixed In Version: nss_ldap-253-7.el4_8.3
Doc Type: Bug Fix
Doc Text:
Being built without the Internet Protocol version 6 (IPv6) support, when the "gethostbyname2()" function was used, nss_ldap used to return the Internet Protocol version 4 (IPv4) address even though the IPv6 had been requested. With this update, nss_ldap produces the expected output.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 03:17:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0538 normal SHIPPED_LIVE nss_ldap bug fix update 2010-07-19 03:17:12 EDT

  None (edit)
Description RHEL Product and Program Management 2010-06-11 02:56:39 EDT
This bug has been copied from bug #205243 and has been proposed
to be backported to 4.8 z-stream (EUS).
Comment 5 Jaromir Hradilek 2010-07-16 10:27:38 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Being built without the Internet Protocol version 6 (IPv6) support, when the "gethostbyname2()" function was used, nss_ldap used to return the Internet Protocol version 4 (IPv4) address even though the IPv6 had been requested. With this update, nss_ldap produces the expected output.
Comment 7 errata-xmlrpc 2010-07-19 03:17:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0538.html

Note You need to log in before you can comment on or make changes to this bug.